Klip Annotations

Retrieve information on Klip annotations, create, update and delete annotations for specific Klips in your account or your client accounts.

GET /klips/{id}/annotations

DescriptionRetrieve a list of annotations for a specified Klip in the company or client account.
Permissionsdashboard.annotation.view
Resource URLhttps://app.klipfolio.com/api/1.0/klips/{id}/annotations
Parametersstart_date (accepts Unix time format)
end_date (accepts Unix time format)
  • NOTE:* Specify either none, one or both. For example, if start_date is not specified, it will retrieve all from the beginning of time; if end_date is not specified, it will retrieve all until the current date/time.
optional: client_id

Example Request

GET https://app.klipfolio.com/api/1/klips/63d9abc8330ae256dac2e2f8c4371a8f/annotations
GET https://app.klipfolio.com/api/1/klips/63d9abc8330ae256dac2e2f8c4371a8f/annotations?end_date=1781733386
GET https://app.klipfolio.com/api/1/klips/63d9abc8330ae256dac2e2f8c4371a8f/annotations?client_id=0123456789abcdef0123456789abcdef

Example Response

{
  "meta": {
    "success": true,
    "status": 200
  },
  "data": {
    "annotations": [
      {
        "id": "12345eba2f065109fb88be86b2f9279e",
        "createdBy": {
          "id": "b1b1b11c7e4d34c6410d807564c470a7",
          "name": "Jane Doe"
        },
        "date_created": "2026-06-21T13:18:30Z",
        "body": "Order status for June"
      },
      {
        "id": "f1ea0a852348d0f606eabac4b2443477",
        "createdBy": {
          "id": "a5a9d31c7e4d34c6410d807564c470a7",
          "name": "Tamsin Douglas"
        },
        "date_created": "2026-06-21T13:32:05Z",
        "body": "Check Florida."
      }
    ]
  }
}

GET /klips/{id}/annotations/{id}

DescriptionRetrieve the details of an annotation for a specified Klip in the company or client account.
Resource URLhttps://app.klipfolio.com/api/1.0/klips/{id}/annotations/{id}
Permissionsdashboard.annotation.view
Parametersklip_id, annotation_id
optional: client_id

Example Request

GET https://app.klipfolio.com/api/1/klips/63d9abc8330ae256dac2e2f8c4371a8f/annotations/e256dac2e2f8c4371a8f
GET https://app.klipfolio.com/api/1/klips/63d9abc8330ae256dac2e2f8c4371a8f/annotations/e256dac2e2f8c4371a8f?client_id=0123456789abcdef0123456789abcdef

Example Response

{
  "meta": {
    "success": true,
    "status": 200
  },
  "data": {
    "id": "12345eba2f065109fb88be86b2f9279e",
    "createdBy": {
      "id": "b1b1b11c7e4d34c6410d807564c470a7",
      "name": "Jane Doe"
    },
    "date_created": "2016-06-21T13:18:30Z",
    "body": "Order status for June"
  }
}

POST /klips/{id}/annotations

DescriptionCreate a new annotation for a specified Klip in the company or client account.
Permissionsdashboard.annotation.edit
Resource URLhttps://app.klipfolio.com/api/1.0/klips/{id}/annotations
Fields

body
When creating an annotation, everything else uses a default: created_by is the authenticated user and date_created is the creation timestamp.

optional: client_id

Example Request

POST https://app.klipfolio.com/api/1/klips/63d9abc8330ae256dac2e2f8c4371a8f/annotations -d {'body':'I am writing an annotation'} 
POST https://app.klipfolio.com/api/1/klips/63d9abc8330ae256dac2e2f8c4371a8f/annotations?client_id=0123456789abcdef0123456789abcdef -d {'body':'I am writing an annotation'} 

Example Response

{  
"meta": {  
   "success":true,  
   "status":201,  
   "location":"/klips/63d9abc1234ae256dac2e2f8c4371a8f/annotations/23c618c919b1234d5f1d3359942559eb"  
},  
"data":{}  
}

PUT /klips/{id}/annotations/{id}

DescriptionUpdate an annotation for a specified Klip in the company or client account.
Permissionsdashboard.annotation.edit
Resource URLhttps://app.klipfolio.com/api/1.0/klips/{id}/annotations/{id}
Fieldsannotation id
body
NOTE: When creating an annotation, everything else uses a default: created_by is the authenticated user and date_created is the creation timestamp.
optional: client_id

Example Request

PUT https://app.klipfolio.com/api/1/klips/63d9abc8330ae256dac2e2f8c4371a8f/annotations/63d9abc8330ae256 -d {'body':'Updated annotation'}
PUT https://app.klipfolio.com/api/1/klips/63d9abc8330ae256dac2e2f8c4371a8f/annotations/63d9abc8330ae256?client_id=0123456789abcdef0123456789abcdef -d {'body':'Updated annotation'}

Example Response

{  
"data": {},  
"meta": {  
   "status": 200,  
   "success": true  
   }  
}

DELETE /klips/{id}/annotations/{id}

DescriptionRemove an annotation from a specified Klip in the company or client account.
Permissionsdashboard.annotation.edit
Resource URLhttps://app.klipfolio.com/api/1.0/klips/{id}/annotations/{id}
Parametersklip_id, annotation_id
optional: client_id

Example Request

DELETE https://app.klipfolio.com/api/1/klips/57ebf715c0fdd044e4191adaecb4fc6f/annotations/f1ea0a852348d0f606ea
DELETE https://app.klipfolio.com/api/1/klips/57ebf715c0fdd044e4191adaecb4fc6f/annotations/f1ea0a852348d0f606ea?client_id=0123456789abcdef0123456789abcdef

Example Response

{  
 "meta": {  
   "success": true,  
   "status": 200  
   },  
"data": {}  
}